;;; -*- Mode: Lisp; Package: SF -*-

(in-package 'sf)

(use-package '("TERM"))

;;; Auxilliary functions for the attribute grammar

(defun andlist(l)
  (do* ((hd (car l) (car tl))
	(tl (cdr l) (cdr tl))
	(result hd (make-term 'andd hd result)))
      ((null tl) result)))

(defun make-term (op &rest args)
  (term:mk-sim-term op args))

(defun make-id (id)
  (term:mk-id id))

(defun make-num (num)
  (term:mk-number num))