;;; -*- Mode: Lisp; Package: CALC -*-
;;; Define semantic functions.

(in-package "CALC")

(defun nullenv () '())

(defun lookup (spelling env)
  (let ((valpair (assoc spelling env :test #'eq)))
    (if (not valpair)
;;;	(error "Unbound variable ~A in environment ~A" spelling env)
	nil
	(cdr valpair))))

(defun bind (name value env)
    (acons name value env))

(defun appenv (env1 env2)
  (append env1 env2))

(defun mkpair (name value)
  (cons name value))

(defun times (v1 v2)
  (* v1 v2))

(defun sumit (sumlist)
  (apply #'+ sumlist))
